Name:          gcab
Version:       1.2
Release:       1mamba
Summary:       GNOME cabinet management 
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/gcab/%{version}/gcab-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNOME cabinet library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

export LC_ALL=en_US.UTF-8

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgcab-1.0.so.*
%{_libdir}/girepository-1.0/GCab-1.0.typelib
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libgcab-1.0
%{_includedir}/libgcab-1.0/libgcab.h
%dir %{_includedir}/libgcab-1.0/libgcab
%{_includedir}/libgcab-1.0/libgcab/*
%{_libdir}/libgcab-1.0.so
%{_libdir}/pkgconfig/libgcab-1.0.pc
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_datadir}/vala/vapi/libgcab-1.0.vapi
%{_datadir}/vala/vapi/libgcab-1.0.deps
%doc NEWS

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gcab
%{_datadir}/gtk-doc/html/gcab/*

%changelog
* Mon Dec 24 2018 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7-1mamba
- update to 0.7

* Sat Feb 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-1mamba
- package created using the webbuild interface
